libzypp 17.37.10

Capability.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Globals.h>`
`#include <zypp/sat/detail/PoolMember.h>`
`#include <zypp/IdString.h>`
`#include <zypp/Edition.h>`
`#include <zypp/Rel.h>`
`#include <zypp/ResTraits.h>`
`#include <zypp/ResolverNamespace.h>`
`#include <zypp/CapMatch.h>`

Go to the source code of this file.

## Classes
class | zypp::Capability
| A sat capability. More...
struct | zypp::Capability::Matches
| matches functor. More...
class | zypp::CapDetail
| Helper providing more detailed information about a Capability. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zypp::CapabilitySet = std::unordered_set<Capability>

## Functions
| ZYPP_DEFINE_ID_HASHABLE (::zypp::Capability)

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | ::zypp::Capability |  | ) |